<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/DefaultClient Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DefaultClient Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for DefaultClient:</div>
<div class="dyncontent">
<div class="center"><img src="dir_b085260ed2fdec2a77be746aa0e6e508_dep.png" border="0" usemap="#dir__b085260ed2fdec2a77be746aa0e6e508__dep" alt="/workplace/avs-device-sdk/ApplicationUtilities/DefaultClient"/></div>
<map name="dir__b085260ed2fdec2a77be746aa0e6e508__dep" id="dir__b085260ed2fdec2a77be746aa0e6e508__dep">
<area shape="rect" id="node2" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html" title="include" alt="" coords="339,157,411,205"/>
<area shape="rect" id="node4" href="dir_15a1dcf98404372b5aa31671439f6987.html" title="AFML" alt="" coords="23,253,95,301"/>
<area shape="rect" id="edge20-headlabel" href="dir_000034_000021.html" title="3" alt="" coords="111,255,119,268"/>
<area shape="rect" id="node5" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" title="CapabilityAgents" alt="" coords="566,157,687,205"/>
<area shape="rect" id="edge21-headlabel" href="dir_000034_000049.html" title="25" alt="" coords="540,166,555,180"/>
<area shape="rect" id="node6" href="dir_63c328d9f040c398ed3a99417a38689e.html" title="EqualizerImplementations" alt="" coords="413,253,587,301"/>
<area shape="rect" id="edge22-headlabel" href="dir_000034_000222.html" title="1" alt="" coords="455,229,463,242"/>
<area shape="rect" id="node7" href="dir_cf27311ab9f4263eef70b28364b95692.html" title="CertifiedSender" alt="" coords="611,253,725,301"/>
<area shape="rect" id="edge23-headlabel" href="dir_000034_000211.html" title="2" alt="" coords="593,237,600,250"/>
<area shape="rect" id="node8" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="169,253,241,301"/>
<area shape="rect" id="edge24-headlabel" href="dir_000034_000286.html" title="2" alt="" coords="258,249,265,262"/>
<area shape="rect" id="node9" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html" title="ACL" alt="" coords="265,253,337,301"/>
<area shape="rect" id="edge25-headlabel" href="dir_000034_000000.html" title="4" alt="" coords="334,237,342,250"/>
<area shape="rect" id="node10" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="344,445,445,493"/>
<area shape="rect" id="edge26-headlabel" href="dir_000034_000015.html" title="24" alt="" coords="323,430,338,443"/>
<area shape="rect" id="node11" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="555,349,701,397"/>
<area shape="rect" id="edge27-headlabel" href="dir_000034_000272.html" title="1" alt="" coords="536,340,543,353"/>
<area shape="rect" id="node12" href="dir_edb1b7e8f1a5d5a1b864206edd6d398d.html" title="ADSL" alt="" coords="800,253,872,301"/>
<area shape="rect" id="edge28-headlabel" href="dir_000034_000009.html" title="1" alt="" coords="780,248,788,262"/>
<area shape="rect" id="node3" href="dir_73357987a539283f3665c6273c0b97e7.html" title="src" alt="" coords="339,61,411,109"/>
<area shape="rect" id="edge4-headlabel" href="dir_000036_000034.html" title="2" alt="" coords="379,132,387,145"/>
<area shape="rect" id="edge1-headlabel" href="dir_000036_000049.html" title="4" alt="" coords="547,142,555,155"/>
<area shape="rect" id="edge2-headlabel" href="dir_000036_000015.html" title="6" alt="" coords="324,445,331,458"/>
<area shape="rect" id="edge3-headlabel" href="dir_000036_000009.html" title="1" alt="" coords="807,227,814,241"/>
<area shape="rect" id="edge5-headlabel" href="dir_000021_000015.html" title="33" alt="" coords="320,444,335,457"/>
<area shape="rect" id="edge6-headlabel" href="dir_000049_000222.html" title="1" alt="" coords="548,242,555,256"/>
<area shape="rect" id="edge7-headlabel" href="dir_000049_000211.html" title="4" alt="" coords="654,226,662,239"/>
<area shape="rect" id="edge8-headlabel" href="dir_000049_000286.html" title="13" alt="" coords="254,254,269,268"/>
<area shape="rect" id="edge9-headlabel" href="dir_000049_000000.html" title="1" alt="" coords="354,265,361,278"/>
<area shape="rect" id="edge10-headlabel" href="dir_000049_000015.html" title="494" alt="" coords="453,467,475,480"/>
<area shape="rect" id="edge11-headlabel" href="dir_000049_000272.html" title="12" alt="" coords="699,340,714,353"/>
<area shape="rect" id="edge12-headlabel" href="dir_000049_000009.html" title="3" alt="" coords="783,239,790,252"/>
<area shape="rect" id="edge13-headlabel" href="dir_000222_000015.html" title="34" alt="" coords="417,427,431,440"/>
<area shape="rect" id="edge14-headlabel" href="dir_000211_000015.html" title="19" alt="" coords="434,433,449,446"/>
<area shape="rect" id="edge15-headlabel" href="dir_000211_000272.html" title="5" alt="" coords="649,329,657,342"/>
<area shape="rect" id="edge16-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="357,420,371,433"/>
<area shape="rect" id="edge17-headlabel" href="dir_000000_000015.html" title="97" alt="" coords="375,419,390,432"/>
<area shape="rect" id="edge18-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="462,443,469,456"/>
<area shape="rect" id="edge19-headlabel" href="dir_000009_000015.html" title="32" alt="" coords="457,466,472,480"/>
<area shape="rect" id="clust2" href="dir_b085260ed2fdec2a77be746aa0e6e508.html" alt="" coords="328,51,544,216"/>
<area shape="rect" id="clust1" href="dir_748b5abbb33df61eda67007924a1a0cb.html" title="ApplicationUtilities" alt="" coords="317,16,555,227"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_2ce7981903fe15aa6f7811d72ec7c5b0"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_73357987a539283f3665c6273c0b97e7"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_73357987a539283f3665c6273c0b97e7.html">src</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
